/*
 * @Author: Gaoxs
 * @Date: 2023-04-07 15:12:06
 * @LastEditors: Gaoxs
 * @Description:
 */
import App from './App'
import uvUI from '@/uni_modules/uv-ui-tools'
import { createSSRApp } from 'vue'
import store from "@/store";
import util from '@/utils'
// #ifdef H5
import VConsole from 'vconsole'

// #endif

export function createApp() {
    const app = createSSRApp(App)
    app.use(util)
    app.use(store)
    app.use(uvUI);
    uni.$uv.setConfig({
        config: {
            // 修改默认单位为rpx，相当于执行 uni.$uv.config.unit = 'rpx'
        },
        props: {
            datetimePicker: {
                color: {
                    default: 'red'
                },
                confirmColor: {
                    default: '#EE6D46'
                }
            },
            picker: {
                confirmColor: {
                    default: '#EE6D46'
                }
            }
        }
    })
    // #ifdef H5
    // const vConsole = new VConsole()
    // app.use(vConsole)
    // #endif
    return {
        app,
    }
}
